FAQ #1408
Artikel editieren
Artikel weiterleiten

Comment utiliser ZendOptimizer dans mon pack d hébergement.


Dans cet article, nous vous expliquerons brièvement comment vous pouvez utiliser ZendOptimizer. Si vous souhaitez crypter des fichiers PHP, Zend Optimizer n'est pas utilisable. PHP est disponible dans les packs PowerWeb, AdvancedWeb et EnterpriseWeb.


D abord, veuillez vérifier votre version de PHP.
Comment puis-je connaître ma version de PHP et / ou de MySQL?



Veuillez noter:

STRATO Speed ​​Plus prend en charge uniquement PHP 5 (pour tous les nouveaux packs, ou les packs modifiés depuis 01/12/2009). Nous vous recommandons de vérifier la compatibilité de vos scripts PHP avant de les utiliser sur votre espace d'hébergement.


Utilisation du ZendOptimizer préinstallé

PHP version 4.4.x - Créez un fichier php.ini sur votre espace d hébergement, avec le contenu suivant :

zend_optimizer.optimization_level = 15
zend_extension = /usr/zend/4_4_x_comp/ZendOptimizer.so


PHP version 5.2.x - Créez un fichier php.ini sur votre espace d hébergement, avec le contenu suivant :

zend_optimizer.optimization_level = 15
zend_extension = /usr/zend/5_2_x_comp/ZendOptimizer.so


Veuillez noter que le fichier php.ini ne se répercute pas dans les sous-dossiers. Cela signifie que chaque dossier dans lequel s exécutent les scripts doit contenir son propre fichier php.ini.

AchtungUtilisez un fichier php.ini à vos propres risques. Il faut pour cela une connaissance approfondie, sans laquelle vous ne devriez pas faire une telle manipulation.

×